Resuming from sleep makes black borders around windows appear

Bug #1292830 reported by Michał Sawicz on 2014-03-15
This bug affects 224 people
Affects Status Importance Assigned to Milestone
Compiz
Undecided
Unassigned
Nvidia
Undecided
Unassigned
OEM Priority Project
Critical
Yuan-Chen Cheng
One Hundred Papercuts
High
Unassigned
compiz (Ubuntu)
High
Unassigned
Nominated for Trusty by Alberto Salvia Novella
Nominated for Utopic by Alberto Salvia Novella

Bug Description

*******
 ISSUE
*******

HOW TO REPRODUCE

1. Go to sleep mode.
2. Resume.

EXPECTED BEHAVIOUR

- The computer to resume normally.

REAL BEHAVIOUR

- Windows have black borders around them, as seen in the attached screen-shot.

RELEVANT DETAILS

- None.

**********
 SOLUTION
**********

WORK-AROUND

1. Press the "Ctrl+Alt+F2" key combination (Warning: you will be sent to a text console where you won't be able to read this document).
2. Press "Ctrl+Alt+F7".

FIX

- Unspecified.

REGRESSION POTENTIAL

- Unspecified.

****************
 TECHNICAL INFO
****************

ProblemType: BugDistroRelease: Ubuntu 14.04
Package: compiz 1:0.9.11+14.04.20140310-0ubuntu1
ProcVersionSignature: Ubuntu 3.11.0-12.19-generic 3.11.3
Uname: Linux 3.11.0-12-generic x86_64
NonfreeKernelModules: nvidia wl
.proc.driver.nvidia.gpus.0: Error: [Error 21] It Is a Directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 331.38 Wed Jan 8 19:32:30 PST 2014
 GCC version: gcc version 4.8.2 (Ubuntu 4.8.2-16ubuntu6)
.tmp.unity.support.test.0:

ApportVersion: 2.13.3-0ubuntu1
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Sat Mar 15 12:22:43 2014
DistUpgraded: Fresh install
DistroCodename: trusty
DistroVariant: ubuntu
GraphicsCard:
 NVIDIA Corporation GF119M [NVS 4200M] [10de:1056] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:0493]
MachineType: Dell Inc. Latitude E6420
PackageArchitecture: all
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.11.0-12-generic root=UUID=3af29d5f-e00a-409b-9d57-1ad69dce69d9 ro splash quietSourcePackage: compiz
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/11/2012
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A14
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA14:bd07/11/2012:svnDellInc.:pnLatitudeE6420:pvr01:rvnDellInc.:rn:rvr:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E6420
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.11+14.04.20140310-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.52-1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.0-1ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.0-1ubuntu1
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.15.0-1ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu3
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.910-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu2
xserver.bootTime: Tue Mar 11 15:58:58 2014
xserver.configfile: default
xserver.errors: open /dev/fb0: No such file or directory
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:

xserver.version: 2:1.15.0-1ubuntu6

Related branches

lp:~kaihengfeng/unity/lp1292830
Ready for review for merging into lp:unity
Andrea Azzarone: Needs Fixing on 2017-03-28
Michał Sawicz (saviq) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in compiz (Ubuntu):
status: New → Confirmed
Dominik (dominalien) wrote :

Heh, just marked this as affecting myself, the system pulled in some updates and it seems fixed now.

Dominik (dominalien) wrote :

And I spoke too soon.

It's not an issue if no windows are opened when the system goes into standby. After resume, all new windows are fine.

If there are windows open, however, they come back with black borders and anything new opened has the visual problem as well.

Michał Sawicz (saviq) wrote :

Are you maybe on nVidia? Optimus maybe?

It renders essential functionality of the package (or a dependent one) broken.

Changed in compiz (Ubuntu):
importance: Undecided → High
Jeff Campbell (jeff-soupbowl) wrote :

I'm seeing the same issue. I have a NVIDIA Quadro 1000M video card.

LenPayne (len-payne) wrote :

Confirmed on an nVidia 9600M GT using the proprietary nvidia module. Updated to 14.04 yesterday and this is the first time I've seen this.

Switching to TTY1 and coming back replaced the big black boxes with big smooth gradient boxes. Running

DISPLAY=:0 unity --replace

on TTY1 fixed the issue.

pouns (pouns1) wrote :

Same thing with nvidia 330M

Steven McCann (srmccann) wrote :

same problem on an nVidia NVS 3100M in my ThinkPad T510. I'm pretty sure it happened with the open source (non-nvidia) driver as well as the proprietary nvidia driver (which I'm using now).

Side note/a separate bug - I think switching to the proprietary driver fixed another bug I had which was causing my computer to freeze after resume from standby. It actually happened in Linux Mint 16, and then in Ubuntu 14.04, but since switching to proprietary driver it hasn't happened since.

Pierre Blanche (pablanche) wrote :

Same issue with Nvidia NVS 5100M, since upgrade to 14.04

Also the windows closing/reduce/expend buttons are masked by a black box but still functioning when cliking on the area.

Axel Pospischil (apos) wrote :

Hi,

I can confirm this behaviour. the solution withint post number #8 indeed resolves the problem.

* Ubuntu 14.04 h
* Lenovo W510
* Card: NVIDIA Corporation GT216GLM [Quadro FX 880M]
* Driver: nvidia-331, 331.38-0ubuntu7, amd64, NVIDIA binary driver - version 331.38

TinusXcentricus (t-no) wrote :

Same problems here with Ubuntu 14.04 on Sony Vaio VPCF22L1E/B with GeForce GT540M videochip.

Before on 12.04, 12.10, 13.10 no problems.

#8 fixes the window borders. but makes general menus and notifications in the top bar disappear.

Nicholas Smith (nick-smith) wrote :

This also affects me, MacBook Pro 17" 6,1 with the nvidia driver. Ubuntu 14.04. Switching to a text console and back fixes it until the next suspend-resume cycle.

Also having this issue and can confirm that fix posted in #8 does fix borders but as posted in #13 it also wipes the menus and notifications in the top bar.

Sorry, forgot to add system details:

HP DV7
Intel Core i5M 430
GeForce G105M
64bit 14.04

Xi (tracytsang-whu) wrote :

Exactly same problem after I resume my laptop from sleep. It happens after I upgraded my Ubuntu from 12.04 to 14.04.

But Chrome Browser window is OK.

DELL 1420
GeForce 8400M GS
NVIDIA Driver Version:331.38

dustinmoore (me-dustinmoore) wrote :

Same problem.

It started when I upgraded from 13.10 to 14.04.

GF108GLM [Quadro 1000M]
NVIDIA driver version: 331.38 from nvidia-331-updates
Thinkpad W520

Steven McCann (srmccann) wrote :

A workaround that's working for me is to switch to text console (Ctrl + Alt + F2) then back to the main console (Alt + F7) - thanks for mentioning this Nicholas Smith (nick-smith)!

Recently I've been noticing its not happening every time I suspend/resume. I haven't traced the related factors, maybe its only when I don't have the windows enlarged when I suspend? I'll see if I can find a pattern.

no longer affects: compiz
C de-Avillez (hggdh2) on 2014-05-12
description: updated
Mathieu Pellerin (nirvn-asia) wrote :

Steven, thanks for the workaround, working here.

That said, at the risk of stating the obvious, this bug should really be considered a top priority to fix. After installing 14.04 on a couple of co-workers' laptops, this huge black borders upon resuming is the number one complaint.

Alberto Milone (albertomilone) wrote :

Please post the following information:
1) the output of the "uname -r" command
2) the output of "apt-cache policy nvidia-331" and "apt-cache policy nvidia-331-updates"

Hello,

There were some changes put in the Nvidia driver as well as Compiz in the 14.04 development cycle that should have alleviated this issue. It's not clear to me why this is still occurring.

For those still affected by this, could you please provide the following information?

1. Package version of Compiz
2. Package version of the Nvidia driver.
3. How the graphics system is setup up on your machine, ie, hybrid graphics /w Intel, single GPU, multiple GPUs. Basically any info that would be helpful to determine if it's a particular setup that is still causing this.

Thanks!

Miklos Juhasz (mjuhasz) wrote :

DELL M1530 laptop suffering from the black borders issue. It has a single GPU: GeForce 8600M GT.

mjuhasz@dell:~$ uname -r
3.13.0-24-generic

mjuhasz@dell:~$ apt-cache policy nvidia-331
nvidia-331:
  Installed: 331.38-0ubuntu7
  Candidate: 331.38-0ubuntu7
  Version table:
 *** 331.38-0ubuntu7 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/restricted amd64 Packages
        100 /var/lib/dpkg/status

mjuhasz@dell:~$ apt-cache policy nvidia-331-updates
nvidia-331-updates:
  Installed: (none)
  Candidate: 331.38-0ubuntu7
  Version table:
     331.38-0ubuntu7 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/restricted amd64 Packages

mjuhasz@dell:~$ apt-cache policy compiz
compiz:
  Installed: 1:0.9.11+14.04.20140423-0ubuntu1
  Candidate: 1:0.9.11+14.04.20140423-0ubuntu1
  Version table:
 *** 1:0.9.11+14.04.20140423-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     1:0.9.11+14.04.20140409-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages

RCC (arr.sea) wrote :
Download full text (3.5 KiB)

I have repeated this issue multiple times.
I can confirm the workaround (Ctrl+Alt+F1, then Ctrl+Alt+F7).

I have the following HP Envy 15t with Nvidia 740M (from Costco):
http://reviews.costco.com/2070/100070028/hewlett-packard-hp-envy-15t-quad-1080p-laptop-intel-core-i7-4700mq-2-4ghz-reviews/reviews.htm

On a similar, perhaps related note, when using the touchpad, (rather than the USB mouse) I often lose responsiveness of the pointer (happens every 10-20 minutes, at least) and I have found that the same workaround (switching to the F1 virtual terminal and back) restores the use of the touchpad. Anyone know if there a bug report for the touchpad issue already?

-----------------------
Thanks everyone.

Here's some details from my system:

(note: I did an apt-get dist-upgrade + reboot about 24 hours ago and that didn't fix anything. I'll try again after posting this, but I wanted to capture the system as-is first.)

$ uname -r
3.13.0-24-generic

$ apt-cache policy nvidia-331
nvidia-331:
  Installed: 331.38-0ubuntu7
  Candidate: 331.38-0ubuntu7
  Version table:
 *** 331.38-0ubuntu7 0
        500 http://us.archive.ubuntu.com/ubuntu/ trusty/restricted amd64 Packages
        100 /var/lib/dpkg/status

$ apt-cache policy nvidia-331-updates
nvidia-331-updates:
  Installed: (none)
  Candidate: 331.38-0ubuntu7
  Version table:
     331.38-0ubuntu7 0
        500 http://us.archive.ubuntu.com/ubuntu/ trusty/restricted amd64 Packages
        100 /var/lib/dpkg/status

$ lspci | grep -i nvidia
01:00.0 3D controller: NVIDIA Corporation GK208M [GeForce GT 740M] (rev a1)

$ dpkg --get-selections | grep -v deinstall | grep -iE '(nvidia|optimus|prime|bumblebee)'
nvidia-331 install
nvidia-libopencl1-331 install
nvidia-opencl-icd-331 install
nvidia-prime install
nvidia-settings install
prime-indicator install

$ dpkg --get-selections | grep -v deinstall | grep -iE '(nvidia|optimus|prime|bumblebee)' | awk '{print $1}' | xargs apt-cache policy
nvidia-331:
  Installed: 331.38-0ubuntu7
  Candidate: 331.38-0ubuntu7
  Version table:
 *** 331.38-0ubuntu7 0
        500 http://us.archive.ubuntu.com/ubuntu/ trusty/restricted amd64 Packages
        100 /var/lib/dpkg/status
nvidia-libopencl1-331:
  Installed: 331.38-0ubuntu7
  Candidate: 331.38-0ubuntu7
  Version table:
 *** 331.38-0ubuntu7 0
        500 http://us.archive.ubuntu.com/ubuntu/ trusty/restricted amd64 Packages
        100 /var/lib/dpkg/status
nvidia-opencl-icd-331:
  Installed: 331.38-0ubuntu7
  Candidate: 331.38-0ubuntu7
  Version table:
 *** 331.38-0ubuntu7 0
        500 http://us.archive.ubuntu.com/ubuntu/ trusty/restricted amd64 Packages
        100 /var/lib/dpkg/status
nvidia-prime:
  Installed: 0.6.2
  Candidate: 0.6.2
  Version table:
 *** 0.6.2 0
        500 http://us.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
        100 /var/lib/dpkg/status
nvidia-settings:
  Installed: 331.20-0ubuntu8
  Candidate: 331.20-0ubuntu8
  Version table:
 *** 331.20-0ubuntu8 0
        500 http://us.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
        100 /var/lib/dpkg/status
prime-indicator:
  Installed: 0.1-1+git20140109~webupd8~0
  Candidate: 0.1-1+git20140109~webupd8~0
  Versi...

Read more...

Steven McCann (srmccann) wrote :

One nice thing - after you do the workaround (Ctrl+Alt+F1, then Ctrl+Alt+F7), the problem no longer seems to occur on suspend/resume, so it's more manageable for me right now.

C de-Avillez (hggdh2) on 2014-05-14
description: updated

hopefully some more useful info below.

This also occurs for me. Machine is an x64 (quad core) laptop with Nvida 560M gpu. The issue occurs, as with dustin and others after upgrade. nvidia-prime is installed so the hybrid setup is I guess at default config.

$ uname -r
3.13.0-24-generic

$ apt list compiz nvidia-prime nvidia-331
Listing... Done
compiz/trusty-updates 1:0.9.11+14.04.20140423-0ubuntu1 all [upgradable from: 1:0.9.11+14.04.20140409-0ubuntu1]
nvidia-331/trusty,now 331.38-0ubuntu7 amd64 [installed]
nvidia-prime/trusty,now 0.6.2 amd64 [installed,automatic]

$ apt-cache policy nvidia-331 nvidia-331-updates
nvidia-331:
  Installed: 331.38-0ubuntu7
  Candidate: 331.38-0ubuntu7
  Version table:
 *** 331.38-0ubuntu7 0
        500 http://gb.archive.ubuntu.com/ubuntu/ trusty/restricted amd64 Packages
        100 /var/lib/dpkg/status
nvidia-331-updates:
  Installed: (none)
  Candidate: 331.38-0ubuntu7
  Version table:
     331.38-0ubuntu7 0
        500 http://gb.archive.ubuntu.com/ubuntu/ trusty/restricted amd64 Packages

$ apt-cache policy nvidia-331-updates
nvidia-331-updates:
  Installed: (none)
  Candidate: 331.38-0ubuntu7
  Version table:
     331.38-0ubuntu7 0
        500 http://gb.archive.ubuntu.com/ubuntu/ trusty/restricted amd64 Packages

$ apt-cache policy compiz
compiz:
  Installed: 1:0.9.11+14.04.20140409-0ubuntu1
  Candidate: 1:0.9.11+14.04.20140423-0ubuntu1
  Version table:
     1:0.9.11+14.04.20140423-0ubuntu1 0
        500 http://gb.archive.ubuntu.com/ubuntu/ trusty-updates/main amd64 Packages
 *** 1:0.9.11+14.04.20140409-0ubuntu1 0
        500 http://gb.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
        100 /var/lib/dpkg/status

Markus Vuori (lite) wrote :

It's not coming always, but too often. My hardware is MacBookPro with Geforce GT 330M.

no longer affects: compiz

Same issue here:

Ubuntu 14.04 on Schenker 504M x64
Nvidia GeForce GTX850M driver 331.38

Bug started happening when I switched to using the Nvidia card, no issue before when using Intel integrated graphics.

Packages:

$ apt-cache policy nvidia-331-updates

nvidia-331-updates:
  Installed: (none)
  Candidate: 331.38-0ubuntu7
  Version table:
     331.38-0ubuntu7 0
        500 http://be.archive.ubuntu.com/ubuntu/ trusty/restricted amd64 Packages

$ apt-cache policy compiz

compiz:
  Installed: 1:0.9.11+14.04.20140423-0ubuntu1
  Candidate: 1:0.9.11+14.04.20140423-0ubuntu1
  Version table:
 *** 1:0.9.11+14.04.20140423-0ubuntu1 0
        500 http://be.archive.ubuntu.com/ubuntu/ trusty-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     1:0.9.11+14.04.20140409-0ubuntu1 0
        500 http://be.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages

$apt list compiz nvidia-prime nvidia-331

Listing... Done
compiz/trusty-updates,now 1:0.9.11+14.04.20140423-0ubuntu1 all [installed]
nvidia-331/trusty,now 331.38-0ubuntu7 amd64 [installed]
nvidia-prime/trusty,now 0.6.2 amd64 [installed]

Arthur Green (arthur-green045) wrote :

Following a (problematic) upgrade from 12.04 LTS to 14.04 LTS, I've run into this problem on a Samsung Series 9 laptop (Intel graphics). The Ctrl+Alt+F1/Ctrl+Alt+F7 workaround is not effective.

uname -r
3.13.0-32-generic

apt list compiz
compiz/trusty-updates,now 1:0.9.11.1+14.04.20140701-0ubuntu1 all [installed]

apt list xserver-xorg-video-intel
Listing... Done
xserver-xorg-video-intel/trusty,now 2:2.99.910-0ubuntu1 amd64 [installed,automatic]

Other things to note:
* Standard Terminal appears as black-on-black, also with the big black border. xterm works though (with border)
* Boot menu doesn't appear - I get a black screen with a purple border, which (presumably) times out and gives me a graphical login

Jarda Pavlicek (all-b) wrote :

Is there an easy way to disable window shadows? I don't like them either. It should solve the problem also.

Elijah Lynn (elijah-lynn) wrote :

Same here fresh install of Ubuntu 14.04 using latest Ubuntu repo provided Nvidia drivers.

Big black borders on resume (not all the time).

Dzmitry_Hancharou (dmitrijddd) wrote :

The same problen after upgrade

https://launchpad.net/ubuntu/+source/xserver-xorg-video-intel

2:2.99.910-0ubuntu1 to 2:2.99.910-0ubuntu1.1

roman (xamess) wrote :

I have the same problem.

hardware http://www.zotac.com/products/mini-pcs/zbox-nano-series/zbox-nano/product/zbox-nano/detail/zbox-nano-id69-plus-6/sort/starttime/order/DESC/amount/10/section/specifications.html
Intel HD Graphics 4400

uname -r
3.13.0-35-generic

apt list xserver-xorg-video-intel
Listing... Done
xserver-xorg-video-intel/trusty,now 2:2.99.910-0ubuntu1 amd64 [installed]

apt list compiz
Listing... Done
compiz/trusty-updates,now 1:0.9.11.2+14.04.20140714-0ubuntu1 all [installed]

There is a big black border in context menu, window menu, notification box

Kasper Jacobsen (1-k-h) wrote :

This happens to me on my ASUS ZenBook UX32VD with a GeForce GT620M if I plug in an external monitor while using the GeForce card, but not if I plug in the monitor while using the Intel graphics and then switch to the GeForce card afterwards

$ uname -r
3.13.0-35-generic

$ apt list xserver-xorg-video-intel
Listing... Done
xserver-xorg-video-intel/trusty-updates,now 2:2.99.910-0ubuntu1.1 amd64 [installed]

$ apt list compiz nvidia-prime nvidia-331
Listing... Done
compiz/trusty-updates,now 1:0.9.11.2+14.04.20140714-0ubuntu1 all [installed]
nvidia-331/trusty-updates,now 331.38-0ubuntu7.1 amd64 [installed]
nvidia-prime/trusty,now 0.6.2 amd64 [installed,automatic]

$ apt-cache policy nvidia-331-updates
nvidia-331-updates:
  Installed: (none)
  Candidate: 331.38-0ubuntu7.1
  Version table:
     331.38-0ubuntu7.1 0
        500 http://dk.archive.ubuntu.com/ubuntu/ trusty-updates/restricted amd64 Packages
     331.38-0ubuntu7 0
        500 http://dk.archive.ubuntu.com/ubuntu/ trusty/restricted amd64 Packages

$ apt-cache policy compiz
compiz:
  Installed: 1:0.9.11.2+14.04.20140714-0ubuntu1
  Candidate: 1:0.9.11.2+14.04.20140714-0ubuntu1
  Version table:
 *** 1:0.9.11.2+14.04.20140714-0ubuntu1 0
        500 http://dk.archive.ubuntu.com/ubuntu/ trusty-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     1:0.9.11+14.04.20140409-0ubuntu1 0
        500 http://dk.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages

Btw: +1 for comment #30 :)

description: updated
summary: - Huge black borders around windows after resuming
+ Resuming from sleep makes black borders around windows to appear
Changed in compiz:
status: New → Confirmed
Changed in compiz (Ubuntu):
status: Confirmed → Triaged
Elijah Lynn (elijah-lynn) wrote :

Fyi, for some reason the workarounds of using Ctrl + Alt + F1/F2 don't quite work on my Thinkpad W510, it puts the machine into sleep mode. However, Ctrl + Alt + F6 drops me to a system terminal correctly and then Ctl + Alt + F7 brings me back to a black border free Unity.

Matthias (msiewert) wrote :

Same here:
Macbook pro 2009, GEFORCE9400M, NVIDIA binary driver 331.38

Si Chen (si-chen-217) wrote :

I've encountered the same problem after upgrading to Ubuntu 14.04 on a Macbook Pro "Core i5" 2.53 with a GeForce GT 330M/PCIe/SSE2 graphics card with the NVIDIA binary driver 331.38.

I've tried out the solution recommended on the ArchWiki for what appears to be the same bug:
https://wiki.archlinux.org/index.php/Compiz#Compiz_starts_without_window_borders_with_NVIDIA_binary_drivers

and since then the problem has disappeared!

NOTE the config files they mentioned do not exist under the same names in the Ubuntu system. While upgrading. NVIDIA would have created an xorg.conf.<dateOfUpgrade> file in /etc/X11/ and this is the one it uses for interacting with XOrg. There is also an an xorg.conf.failsafe file for when there's some errors using the first one. Making the changes described in the ArchWiki article in to BOTH files solved this problem for me.

Axel Pospischil (apos) wrote :

Hi there,

as I posted above, I have the same issue on my Thinkpad W510. I edited a resume script in /etc/sleep.d as followed:

 vim /etc/pm/sleep.d/03_bug_nvidia_unity_replace

 chmod + x

#!/bin/sh
#
# after suspend restart unity, because of artifacts

<code>
 for USR in "$(ps aux |grep unity-panel-service|grep -v grep |cut -f1 -d' '| uniq)"; do
    case "$1" in
        suspend)
  echo "do nothing"
   ;;

        hibernate)
  echo "do nothing"
         ;;

        thaw|resume)
  echo "do nothing"
   su - $USR -c "DISPLAY=:0 unity --replace"
        ;;

        *) exit $NA
        ;;
    esac
 done
</code>

My System:

kernel 3.13.0-39-generic

nvidia-331:
  Installiert: 331.38-0ubuntu7.1

nvidia-331-updates:
  Installationskandidat: 331.38-0ubuntu7.1

compiz:
  Installiert: 1:0.9.11.2+14.04.20140714-0ubuntu1

Dominik (dominalien) wrote :

Doing

compiz --replace &

in the terminal fixes the black borders 100% for me.

Ståle Tomten (staale) wrote :

Confirmed on a HP ZBook with Quadro K2100M using the NVIDIA 331.113 driver.

Joshua R. Poulson (jrp) wrote :

Switching to console mode (Ctrl-Alt-F1) and back also fixes this issue for me.

andyczerwonka (andy-czerwonka) wrote :

I have my Lenovo W520 attached to a Dell monitor via HDMI. When I want to use the laptop without the attached monitor, I switch the NVidia Prime profile to Intel Power Saving Mode. It's the only way I can get the laptop to work. But when I do that, I get the black borders everyone is talking about. And I can't get rid of it - I tried all the solutions.

Axel Pospischil (apos) wrote :

Hi,

as my solution of 239 finally did not work for me, I tried:

 vim /etc/X11/xorg.conf

 Section "Device"
     Identifier "DefaultDevice"
     Option "NoLogo" "True"
     Option "RegistryDwords" "EnableBrightnessControl=1"
     # Prevents: Together with CCSM-> OpenGl -> disable 'Sync to VBlank"
     # solves Black border issue on nvidia:
     # https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/1292830
     Option "AddARGBGLXVisuals" "True"
 EndSection

andyczerwonka (andy-czerwonka) wrote :

Axel, did that work for you?

Benjamin Xiao (ben-r-xiao) wrote :

I had a W520 that had that issue, but it disappeared after I upgraded to the latest nvidia driver from their site. Can you guys either try the Nvidia installer for 346.47 or use xorg-edgers PPA for the latest nvidia package?

Axel Pospischil (apos) wrote :

Hi arcticpenguin,

Today, aber resume from suspend the black boarders have been there again. So it worked for at least 3 days - which means, on the other hand, it is not solution in the end ;-(

... searching for a solution goes on

I will post here and here for my W510: https://wiki.blue-it.org/Thinkpad_W510#X11

Axel Pospischil (apos) wrote :
manu7irl (manu7irl) wrote :

Solution found the problem is an old one form previous versions.
The problem is graphic card driver related in particular NVIDIA.

The solution is simple:

In terminal as root:

cd /etc/pm/sleep.d/

$: touch compiz-fix.sh

$: nano compiz-fix.sh

#!/bin/bash
setsid compiz --replace

exit 0

ctrl+x to save

$: chmod +x compiz-fix.sh

to remove the changes just do as root:

$: rm compiz-fix.sh

Worked as a charm for me!

Roger Atkinson (ratkinson) wrote :

Add me to the list of affected. The above fix does not help.

I have a Dell E7440 with the Intel i915 chipset and especially when I am docked with two Dell monitors that support streaming miniport, I either get Cloned displays with Ubuntu Trusty stock, or I get Black Borders and Popups with an upgraded Kernel and the Xorg Egders updates. I've tried both 3.18 and 3.17 kernels and am back to using the default 3.13 kernel since it is the most stable even though I lose a ton or realestate with cloned monitors. I've been trying to fix this since I got the E7440 last week. No reset or compiz manipulation or Unity reset or re-install has helped yet. I have not tried a different Desktop yet. Still new to Ubuntu and really like Unity if I can get it to work on my current LapTop correctly, Docked or Un-docked!!

Sruthil Lal (getsruthil) wrote :

The same problem occurred to me also..but it happened after upgrading all the packages to latest version.

I have updated my kernel to the latest kernel as described in the post(log on to the link given) and it worked for me.

http://ubuntuhandbook.org/index.php/2015/02/upgrade-linux-kernel-3-19-ubuntu-14-04/

Problem fixed.

Y. Leretaille (yleretaille) wrote :

I just experienced the issue on Ubuntu 15.04, 3.19.0-18, GT650M@346.59. I the past, I have had these black borders occasionally on several different computers. They all had nvidia GPUs. The strg+alt+f1/f7 trick works for me, which it at least much easier than restarting unity (which somehow also closes the session now, see #1441592).

Andrew Bolster (bolster) wrote :

Experiencing on Ubuntu 15.04 3.19.0-26, Quadro K1100M @346.59

Pablo (itu-pablo) wrote :

Experiencing on Ubuntu 15.04, Geforce 750M, @346.59

A.J. Ruckman (ajthemacboy) wrote :

This just started happening to me.

I've used Ubuntu 15.04 before, a few months ago, but decided to switch to Windows. Now when I started using Ubuntu again this began for the first time.

I'm on a laptop with a 765M, driver version 352.41.

Diego (diego-giglio) wrote :

Experiencing on Ubuntu 15.04, XPS 15 L502x with NVIDIA 525M - driver: 352.41 and bumblebee.
But I can use when UI is gnome, the problem just happened with Unity and Compiz.

information type: Public → Public Security
Hans Deragon (deragon) wrote :

Reverted information type to 'Public'. If it is a security issue, please explain why.

information type: Public Security → Public
Mark Cocker (mark-earth) wrote :

Experiencing on Lenovo W530, Ubuntu 15.10, Kernel 4.2.0.16, Quadro K1000M, Nvidia driver 355.11

Okan Özeren (nerezo) wrote :

I experience this problem too. My computer is an Hp EliteBook 8540w. Graphic card Nvidia Quadro FX 880M/PCIe/SSE2 with the driver version 340.65. Installed Ubuntu 14.04 LTS.

Juha Luoma (jsluoma) wrote :

Happens to me too, not every time but a bit too often. Ubuntu 15.10 64-bit up to date. nvidia driver 340.96. Using two screens (laptop's own and external display via displayport). HW:

01:00.0 VGA compatible controller: NVIDIA Corporation G98M [Quadro NVS 160M] (rev a1) (prog-if 00 [VGA controller])
        Subsystem: Dell Device 0233
        Flags: bus master, fast devsel, latency 0, IRQ 33
        Memory at f5000000 (32-bit, non-prefetchable) [size=16M]
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        Memory at f2000000 (64-bit, non-prefetchable) [size=32M]
        I/O ports at df00 [size=128]
        [virtual] Expansion ROM at f4000000 [disabled] [size=128K]
        Capabilities: [60] Power Management version 3
        Capabilities: [68] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [78] Express Endpoint, MSI 00
        Capabilities: [100] Virtual Channel
        Capabilities: [128] Power Budgeting <?>
        Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
        Kernel driver in use: nvidia

planet (planet1) on 2016-01-06
summary: - Resuming from sleep makes black borders around windows to appear
+ Resuming from sleep makes black borders around windows appear
Changed in hundredpapercuts:
status: New → Confirmed
planet (planet1) on 2016-01-06
tags: added: kernel-graphics
Changed in hundredpapercuts:
status: Confirmed → Triaged
importance: Undecided → High
Vaidas (vaidasif) wrote :

After last update it appeared for me too. Ubuntu 15.10 x64, lenovo L440 with only intel graphics.

Ryan Budney (delooper) wrote :

On my laptop I do *not* have this problem. It has the stable NVIDIA driver from the Ubuntu 14.04 repo, 340.96. My laptop has an NVidia Quadro K2000M.

My office computer *does* have the problem. It also runs Ubuntu 14.04 but has the NVidia driver installed with the NVidia CUDA toolkit, 352.63. It has a GeForce GTX Titan X card.

I suspect there is some other installation problem with the office computer as sometimes when I ask the computer to "lock" it does not. Probably when 16.04 comes out I will try to reinstall the NVIDIA CUDA toolkit from a fresh install.

Peter Joseph (peterjoseph100) wrote :

I have this for the first time on 16.04 upgrade using Nvidia package 340.96.

I can 'fix' the borders by issuing "unity --replace"

Chip is Quadro 880M

berend (berend-pobox) wrote :

I have also had this bug since ages. An alternative fix to remove the black borders:

1. Open the NVIDIA X Server settings.

2. go to X Server Display Configuration.

3. Click the "Advanced..." button.

4. Change panning from 1920x1080 to for example 1920x1081 (anything will do).

5. Tab out of box, press "Apply".

6. Borders now disappear, revert to original resolution and press "Apply" again.

Hans Deragon (deragon) wrote :

Can someone nominate this issue for Xenial? Experiencing this also with 16.04, NVIDIA proprietary driver 340.96 (tested according to the 'Software & Updates / Additional Drivers' dialog), Quadro FX 880M.

For a week, I did not have this problem when using the open source Nouveau driver. I think this problem is related to the proprietary driver.

Hélio Nunes (dedalu-dedalu) wrote :

I confirm this bug still on Xenial. And it is related to the proprietary driver. Ctrl+Alt+F1, Ctrl+Alt+F7 is an annoying workaround.

Illya (illia-shapoval) wrote :

Yet another confirmation for this issue on Xenial.

(is it going to fixed by 2020? :J )

Hans Deragon (deragon) wrote :

I am back on the Nouveau driver and never have this issue with this driver (2 weeks of using it). The problem is either with the NVIDIA proprietary driver or Compiz (or something else).

Adding NVIDIA as a project affected by this bug. Not sure exactly where the problem is.

Illya (illia-shapoval) wrote :

@ deragon It's interesting to note that Compiz recommended to use the Nouveau driver a while back anyway, but for a different reason:
  https://smspillaz.wordpress.com/2010/05/21/beware-the-benchmarks/

Jameson (jrz) wrote :

Same issue but not just when continuing from sleep mode, also after reboot. It started occurring about 2 months after installing Ubuntu 16.04. Also using NVIDIA proprietary driver.

Legend (haroonyousuf) wrote :

Same issue. It has started immediately after upgrading from 14.04 Trusty to 16.04 Xenial.
System:
Dell GX745
Intel Pentium D
RAM 4GB

Legend (haroonyousuf) wrote :

I am looking to fix this bug.
https://www.youtube.com/watch?v=P-7qK6orjCk

Changed in nvidia:
status: New → Confirmed
Alexander (sasha-199568) wrote :

I have the same issue, but the work around with terminal mode does not work for me.

A Khan (a-ad6in-g) wrote :

Same issue, ubuntu 16.04!

I also get this issue. I thought it was connected to updating but not restarting, as it occurs when I allow updates. I didn't relate it to sleeping or screen locking as I do that all the time but the issue is not there all the time.

Chris McDonough (chrism-plope) wrote :

Identical issue, Ubuntu 16.04, Thinkpad P50 (Quadro M2000M in Discrete mode) using nvidia-367 version 367.57-0ubuntu0.16.04.1.

Chris Powis (chris-powis) wrote :

Same issue with Xenial on an HP8540w (Quadro FX 880M).

As noted in #68 happens with proprietary Nvidia driver 340.98

No issues when using Nouveau.

vipin ms (vipinmsx) wrote :

same issues with Nvidia 340.101

lukisi (luca-dionisi) wrote :

Experience same bug with Ubuntu 16.10 on
01:00.0 3D controller: NVIDIA Corporation GM107M [GeForce GTX 960M] (rev a2)
 Subsystem: Dell GM107M [GeForce GTX 960M]
 Flags: bus master, fast devsel, latency 0, IRQ 134
 Memory at dc000000 (32-bit, non-prefetchable) [size=16M]
 Memory at b0000000 (64-bit, prefetchable) [size=256M]
 Memory at c0000000 (64-bit, prefetchable) [size=32M]
 I/O ports at e000 [size=128]
 [virtual] Expansion ROM at dd000000 [disabled] [size=512K]
 Capabilities: [60] Power Management version 3
 Capabilities: [68] MSI: Enable+ Count=1/1 Maskable- 64bit+
 Capabilities: [78] Express Endpoint, MSI 00
 Capabilities: [100] Virtual Channel
 Capabilities: [250] Latency Tolerance Reporting
 Capabilities: [258] L1 PM Substates
 Capabilities: [128] Power Budgeting <?>
 Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
 Kernel driver in use: nvidia
 Kernel modules: nvidiafb, nouveau, nvidia_378_drm, nvidia_378

Kaz Wolfe (kazwolfe) wrote :

Bug still exists on kernel 4.4.0-62 with NVIDIA drivers 378.09. X version at 1.18.4 with Compiz 0.9.12.2.

However, my display looks a bit weirder: https://i.stack.imgur.com/CKW9U.png

GilgongoJones (gilgongo) wrote :

I confirm also that with above versions installed, Ctrl+Alt+F2 and sleep.d fixes don't work. And my windows now have fuzzy rainbows around them, which I guess is an improvement :-)

Olaf (tholap) wrote :

Ubuntu 16.04 on Asus G75 with Nvidia 660M.

It doesn't happen every time waking from sleep - I'd say there is a roughly 20-30% chance this happens in my case.

Constantine (fe-pavel) wrote :

NVIDIA GTX 750 Ti
I have white borders with latest 2 versions of Nvidia drivers: 378.13/378.09 and 375.39
Two different dimension monitors. Drivers work fine - 370.28 and below
No wish to attach logs due to no one cares bugs here. Just want you to know.

Ive always solved this with Ctrl-Alt-F1 and Ctrl-Alt-F7.
I get same picture as #81.

With update from an older/driver to kernel to 4.4.0-47 and Nvidia driver 378.13 Ctrl-Alt-F1 and Ctrl-Alt-F7 does not remove the borders anymore.

unity --replace fixed it (but makes Google Chrome render all windows black until I restart Chrome)

jes (desertdenizen) wrote :

I've got the same display issue as shown in Kaz Wolfe's image in #81. It started with driver update to 375.39. I'm seeing this occur with all pop-up windows and menus.

Yoga Thinkpad 14 w/ Nvidia Geforce 940m. Xenial 4.4.0-62.

SilverFire (d-naumenko-a) wrote :

The original problem with black border appeared time-to-time, but after the latest updates it occurs after every suspend.

Confirming the same problem reported by #81 and bellow.

Lenovo ThinkPad E540
Ubuntu 16.04, Nvidia 375.39

Confirming, that switching to another TTY with Ctrl+Alt+F1 does NOT fix the problem.
Confirming, that unity --replace fixes the problem.
Confirming, that border appears around system windows, menus, pop-ups.

Kai-Heng Feng (kaihengfeng) wrote :

Situation on my machine is even worse,

1. The border goes full white, the same as this one.
2. The title bar also goes full white.
3. Even the background goes full white.

Currently I can workaround issue 1. but not 2 and 3.
Do you guys observe problem 2 and 3?

SilverFire (d-naumenko-a) wrote :

The 'new' bug we are discussing seems to be nvidia fail: https://devtalk.nvidia.com/default/topic/990898/linux/suspend-corrupts-window-manager-after-upgrade-to-378-09/2

Workaround: rollback to Nvidia 367.57
Workaround #2: use compiz --replace. Works faster, than unity --replace and does not crash apps.

Kai-Heng Feng (kaihengfeng) wrote :

Hi,

Please give this PPA a try: ppa:kaihengfeng/lp1292830
Built for both Xenial and Zesty.

This should workaround shadow/title issue.
I'll make a MP if this works.

Violet Feng (violetzijing) wrote :

I've tried the packages from ppa:kaihengfeng/lp1292830 (in comment#90) on xenial. It can solve the mess title bar by triggering `suspend` option in indicator-session and running fwts.

Machine: ThinkStation P320
OS: Xenial
GPU: NVIDIA Corporation Device [10de:1cb2] (rev a1)
Driver: nvidia-375 and nvidia-378

Kent Lin (kent-jclin) on 2017-03-15
Changed in oem-priority:
status: New → Confirmed
status: Confirmed → New
importance: Undecided → Critical
assignee: nobody → Yuan-Chen Cheng (ycheng-twn)
Changed in oem-priority:
status: New → In Progress
tags: added: desktop
Yuan-Chen Cheng (ycheng-twn) wrote :

per talk with khfeng, the fix can be apply to compiz, or an work around can be apply to unity.

it's much more complex to apply to compiz than to have an work around to unity, so he prepare an mp for unity.

next: 1. need comment from unity maintain. 2. do we need more testing ?

Dan (baobab33) wrote :

Confirmed on Asus X73S (model K73SM) with NVIDIA GF108M [GeForce GT 630M] (rev a1) (optimus)
Driver: nvidia-375.39
I'm running Ubuntu 16.04.1 with Kernel = 4.4.0-67-generic

- The TTY workaround does NOT work for me.
- unity --replace works partially, messing up my unity preferences (conky does not work properly
- compiz --replace does not work neither (it breaks windows decoration -> the only escape is then to restart lightdm, loosing the session)

I could not rollback to 367.57, so I had to install the nvidia ppa

sudo add-apt-repository ppa:graphics-drivers/ppa
sudo apt update

Then, the driver window shows up the #370.28 which works fine for me.

(more info here : https://www.phoronix.com/scan.php?page=news_item&px=NVIDIA-375.39-Linux-Released)

Alex Tu (alextu) wrote :

@Dan,
The way I used to change Nvidia driver version is to purge existed one then install newer.

detail steps:
1. switch to another tty console by alt-ctl + F${what-ever-number-you-want}
2. systemctl stop lightdm
3. dpkg -l | grep ${your-current-nv-driver-number} | awk '{print $2}' | xargs sudo apt-get purge -y
4. sudo apt-get install nvidia-${the-version-you-want}

please make sure that you can install nvidia-${the-version-you-want} before purging old drivers, otherwise it might get boot failure in next boot.

Chunk Hopkins (chunkhopkins) wrote :

Same issue with Ubuntu 16.04, ASUS X540LJ (Geforce 920M) using nvidia-375 (version 375.39).

timkofu (makobu-mwambiriro) wrote :

Same issue here with a Geforce 920M and nvidia-375 as well. Replacing 375 with 367 fixes the issue, but I need 375 for Cuda 8.

timkofu (makobu-mwambiriro) wrote :

A recent update forced 367 to upgrade to 375. Will have to use Nouveau till issue is resolved.

Dima Listic (dimalistic) wrote :

After updating from 14 to 16, I had the same problem.
I install ubuntu-gnome-desktop and gnome-shell, after reboot the problem solved :)

Jihong Ju (jihong) wrote :

Save issue here after upgrading to 375 recently
.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers